> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Notification Policies

> List All Notification Policies



## OpenAPI

````yaml notifications.latest.product.live GET /notifications/policies
openapi: 3.0.0
info:
  title: Notifications
  description: Manage Notification Policies
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /notifications/policies:
    servers: []
    parameters: []
    get:
      tags:
        - Notification Policies
      summary: List All Notification Policies
      description: List All Notification Policies
      operationId: getNotificationsPolicies
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Pagination offset. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.next` or `pagination.previous` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPolicies'
                example:
                  items:
                    - id: 9c4c54e7-59da-44ae-9cc5-7fd81be7c133
                      createdAt: '2022-06-28T16:47:00Z'
                      sequenceAccountId: c4602d51-0fb4-4b48-b689-6ba28f540d1e
                      name: Finance team emails
                      notificationTypes:
                        - CUSTOMER_CREATED
                      recipients:
                        - finance@example.com
                      channel: EMAIL
                  pagination:
                    after: >-
                      ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==
                    before: >-
                      NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND
                    totalResultSize: 100
              examples:
                NotificationPolicies:
                  summary: ''
                  value:
                    items:
                      - id: 9c4c54e7-59da-44ae-9cc5-7fd81be7c133
                        createdAt: '2022-06-28T16:47:00Z'
                        sequenceAccountId: c4602d51-0fb4-4b48-b689-6ba28f540d1e
                        name: Finance team emails
                        notificationTypes:
                          - CUSTOMER_CREATED
                        recipients:
                          - finance@example.com
                        channel: EMAIL
                    pagination:
                      after: >-
                        ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==
                      before: >-
                        NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND
                      totalResultSize: 100
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    NotificationPolicies:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: 9c4c54e7-59da-44ae-9cc5-7fd81be7c133
            createdAt: '2022-06-28T16:47:00Z'
            sequenceAccountId: c4602d51-0fb4-4b48-b689-6ba28f540d1e
            name: Finance team emails
            notificationTypes:
              - CUSTOMER_CREATED
            recipients:
              - finance@example.com
            channel: EMAIL
        pagination:
          after: >-
            ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==
          before: >-
            NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND
          totalResultSize: 100
      properties:
        items:
          type: array
          description: Notification policies
          example:
            - id: 9c4c54e7-59da-44ae-9cc5-7fd81be7c133
              createdAt: '2022-06-28T16:47:00Z'
              sequenceAccountId: c4602d51-0fb4-4b48-b689-6ba28f540d1e
              name: Finance team emails
              notificationTypes:
                - CUSTOMER_CREATED
              recipients:
                - finance@example.com
              channel: EMAIL
          items:
            $ref: '#/components/schemas/NotificationPolicy'
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    NotificationPolicy:
      required:
        - channel
        - createdAt
        - id
        - name
        - recipients
        - sequenceAccountId
      type: object
      example:
        id: 75da306e-8e25-47ac-8079-b695c369e2ef
        createdAt: '2022-06-28T16:47:00Z'
        sequenceAccountId: c4602d51-0fb4-4b48-b689-6ba28f540d1e
        name: Dev team integration webhooks
        notificationTypes:
          - CUSTOMER_CREATED
        recipients:
          - https://api.company.com/webhooks
        channel: WEBHOOK
        webhookSecret: whsec_AutoGeneratedSecret01234567890ab
      properties:
        id:
          type: string
          description: Unique ID
          example: 75da306e-8e25-47ac-8079-b695c369e2ef
        createdAt:
          type: string
          description: Created at
          example: '2022-06-28T16:47:00Z'
        sequenceAccountId:
          type: string
          description: Sequence Account which this policy matches
          example: c4602d51-0fb4-4b48-b689-6ba28f540d1e
        name:
          type: string
          description: Human-readable name
          example: Dev team integration webhooks
        notificationTypes:
          type: array
          description: >-
            Set of notification types that this policy matches. If not present
            this policy will cover all notification types.
          example:
            - CUSTOMER_CREATED
          items:
            $ref: '#/components/schemas/NotificationType'
        recipients:
          type: array
          description: >-
            The webhook URLs or email addresses which will receive
            notifications, depending on the channel
          example:
            - https://api.company.com/webhooks
          items:
            type: string
        channel:
          $ref: '#/components/schemas/NotificationChannel'
          description: Notification channel
        webhookSecret:
          type: string
          description: >-
            Webhook secret used to generate a signature header that's sent with
            an outbound webhook.It can be used to verify the authenticity of
            received Sequence webhooks. Only available for webhook channel
            policies.
          example: whsec_AutoGeneratedSecret01234567890ab
    PaginationResponse:
      type: object
      description: Results pagination
      example:
        after: >-
          ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==
        before: >-
          NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND
        totalResultSize: 100
      properties:
        after:
          type: string
          description: >-
            Copy this value to the `after` parameter of your next request to
            retrieve the next page of results
          example: >-
            ZTMwOWU5NDgtMDg4ZS00ZDc3LWI2NTQtY2Q4NTQ5OGYxNTU1IzE2NTgyNjA4NTYwMzMwMTMjREVTQw==
        before:
          type: string
          description: >-
            Copy this value to the `before` parameter of your next request to
            retrieve the next page of results
          example: >-
            NjRlZjJmZjktMmJjYi00M2RiLWI0ZDUtOTAxMDU4MjRiMTdmIzE2NTgyNjA3NTk3NTE2ODEjQVND
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 100
    NotificationType:
      type: string
      example: CUSTOMER_CREATED
      enum:
        - CUSTOMER_CREATED
        - CUSTOMER_UPDATED
        - CUSTOMER_ARCHIVED
        - INVOICE_CREATED
        - INVOICE_ISSUED
        - INVOICE_UPDATED
        - INTEGRATION_SYNC_COMPLETED
        - INTEGRATION_WEBHOOK_HANDLED
        - MERCHANT_UPDATED
        - BILLING_SCHEDULE_CREATED
        - BILLING_SCHEDULE_UPDATED
        - BILLING_SCHEDULE_ARCHIVED
        - CREDIT_NOTE_CREATED
        - CREDIT_NOTE_UPDATED
        - CREDIT_NOTE_ISSUED
        - QUOTE_PUBLISHED
        - QUOTE_ACCEPTED
        - QUOTE_SIGNED
        - INVOICE_REMINDER_SENT
        - WATCHTOWER_TASK_ASSIGNED
    NotificationChannel:
      type: string
      example: WEBHOOK
      enum:
        - WEBHOOK
        - EMAIL

````